commit:     d73696e54434ec08a75603613fb1ece24718127f
Author:     Jonathan-Christofer Demay <jcdemay <AT> gmail <DOT> com>
AuthorDate: Fri Jul 18 22:38:01 2014 +0000
Commit:     Jonathan-Christofer Demay <jcdemay <AT> gmail <DOT> com>
CommitDate: Fri Jul 18 22:38:01 2014 +0000
URL:        
http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=d73696e5

Several DESTDIR fixes

---
 dev-ml/mlgmpidl/mlgmpidl-1.1.ebuild             | 4 ++--
 dev-ml/ocamlgraph/ocamlgraph-1.8.5.ebuild       | 4 ++--
 sci-mathematics/alt-ergo/alt-ergo-0.95.2.ebuild | 4 ++--
 sci-mathematics/apron/apron-0.9.10-r1.ebuild    | 9 +++------
 sci-mathematics/apron/apron-0.9.10.ebuild       | 6 +++---
 sci-mathematics/flocq/flocq-2.3.0.ebuild        | 4 ++--
 sci-mathematics/frama-c/frama-c-20140301.ebuild | 4 ++--
 sci-mathematics/giac/giac-1.1.0.ebuild          | 2 +-
 sci-mathematics/why/why-2.34.ebuild             | 9 +++++----
 sci-mathematics/why3/why3-0.83.ebuild           | 7 ++++---
 10 files changed, 26 insertions(+), 27 deletions(-)

diff --git a/dev-ml/mlgmpidl/mlgmpidl-1.1.ebuild 
b/dev-ml/mlgmpidl/mlgmpidl-1.1.ebuild
index 3063fdf..10d51bd 100644
--- a/dev-ml/mlgmpidl/mlgmpidl-1.1.ebuild
+++ b/dev-ml/mlgmpidl/mlgmpidl-1.1.ebuild
@@ -31,7 +31,7 @@ src_prepare() {
        sed -i Makefile.config \
                -e "s/FLAGS = \\\/FLAGS += \\\/g" \
                -e "s/-O3 -UNDEBUG/-DUDEBUG/g" \
-               -e "s/MLGMPIDL_PREFIX = /MLGMPIDL_PREFIX = \${DESTDIR}\/usr/g"
+               -e "s/MLGMPIDL_PREFIX = /MLGMPIDL_PREFIX = \$(DESTDIR)\/usr/g"
 
        if use !mpfr; then
                sed -i -e "s/HAS_MPFR=1/#HAS_MPFR=0/g" Makefile.config
@@ -49,7 +49,7 @@ src_compile() {
 }
 
 src_install(){
-       DESTDIR="${D}" emake install || die "emake install failed"
+       emake install DESTDIR="${D}" || die "emake install failed"
        dodoc README
 
        if use doc; then

diff --git a/dev-ml/ocamlgraph/ocamlgraph-1.8.5.ebuild 
b/dev-ml/ocamlgraph/ocamlgraph-1.8.5.ebuild
index 2a653f2..c28be86 100644
--- a/dev-ml/ocamlgraph/ocamlgraph-1.8.5.ebuild
+++ b/dev-ml/ocamlgraph/ocamlgraph-1.8.5.ebuild
@@ -29,7 +29,7 @@ src_prepare() {
 }
 
 src_compile() {
-       DESTDIR="/" emake -j1 || die "emake failed"
+       emake -j1 DESTDIR="/" || die "emake failed"
 
        if use doc; then
                emake doc || die "emake doc failed"
@@ -37,7 +37,7 @@ src_compile() {
 }
 
 src_install() {
-       DESTDIR="${D}" emake install || die "emake install failed"
+       emake install DESTDIR="${D}" || die "emake install failed"
        dodoc CHANGES CREDITS FAQ README
 
        if use doc; then

diff --git a/sci-mathematics/alt-ergo/alt-ergo-0.95.2.ebuild 
b/sci-mathematics/alt-ergo/alt-ergo-0.95.2.ebuild
index 9fc811b..978b40b 100644
--- a/sci-mathematics/alt-ergo/alt-ergo-0.95.2.ebuild
+++ b/sci-mathematics/alt-ergo/alt-ergo-0.95.2.ebuild
@@ -25,7 +25,7 @@ RDEPEND="${DEPEND}"
 src_prepare(){
        sed \
                -e "s: /usr/share/: \$(DESTDIR)/usr/share/:g" \
-               -e "s:cp -f altgr-ergo.opt:mkdir -p 
\$(DESTDIR)/usr/share/gtksourceview-2.0/language-specs/\n\tcp -f 
altgr-ergo.opt:g"
+               -e "s:cp -f altgr-ergo.opt:mkdir -p 
\$(DESTDIR)/usr/share/gtksourceview-2.0/language-specs/\n\tcp -f 
altgr-ergo.opt:g" \
                -i ${S}/Makefile.in || die
 }
 src_compile(){
@@ -34,6 +34,6 @@ src_compile(){
 }
 
 src_install(){
-       DESTDIR="${D}" emake install || die "emake install failed"
+       emake install DESTDIR="${D}" || die "emake install failed"
        dodoc README.md CHANGES
 }

diff --git a/sci-mathematics/apron/apron-0.9.10-r1.ebuild 
b/sci-mathematics/apron/apron-0.9.10-r1.ebuild
index 6cc4562..41e9acf 100644
--- a/sci-mathematics/apron/apron-0.9.10-r1.ebuild
+++ b/sci-mathematics/apron/apron-0.9.10-r1.ebuild
@@ -31,8 +31,8 @@ src_prepare() {
        sed -i Makefile.config \
                -e "s/FLAGS = \\\/FLAGS += \\\/g" \
                -e "s/-O3 -DNDEBUG/-DNDEBUG/g" \
-               -e "s/APRON_PREFIX =.*/APRON_PREFIX = \${DESTDIR}\/usr/g" \
-               -e "s/MLGMPIDL_PREFIX =.*/MLGMPIDL_PREFIX = \${DESTDIR}\/usr/g"
+               -e "s/APRON_PREFIX =.*/APRON_PREFIX = \$(DESTDIR)\/usr/g" \
+               -e "s/MLGMPIDL_PREFIX =.*/MLGMPIDL_PREFIX = \$(DESTDIR)\/usr/g"
 
        #fix doc building process
        sed -i Makefile -e "s/; make html/; make/g"
@@ -42,9 +42,6 @@ src_prepare() {
                -e "s/OUTPUT_DIRECTORY       = \/.*/OUTPUT_DIRECTORY       = 
.\//g" \
                -e "s/STRIP_FROM_PATH        = \/.*/STRIP_FROM_PATH        = 
.\//g"
 
-       #fix ppl install for 32 platforms
-       sed -i ppl/Makefile -e "s/libap_ppl_caml\*\./libap_ppl\*\./g"
-
        if [[ "$(gcc-major-version)" == "4" ]]; then
                sed -i -e "s/# HAS_LONG_DOUBLE = 1/HAS_LONG_DOUBLE = 1/g" 
Makefile.config
        fi
@@ -58,7 +55,7 @@ src_compile() {
 }
 
 src_install(){
-       DESTDIR="${D}" emake install || die "emake install failed"
+       emake install DESTDIR="${D}" || die "emake install failed"
        dodoc AUTHORS Changes README
 
        if use doc; then

diff --git a/sci-mathematics/apron/apron-0.9.10.ebuild 
b/sci-mathematics/apron/apron-0.9.10.ebuild
index f5bb5fc..90efff0 100644
--- a/sci-mathematics/apron/apron-0.9.10.ebuild
+++ b/sci-mathematics/apron/apron-0.9.10.ebuild
@@ -34,8 +34,8 @@ src_prepare() {
        sed -i Makefile.config \
                -e "s/FLAGS = \\\/FLAGS += \\\/g" \
                -e "s/-O3 -DNDEBUG/-DNDEBUG/g" \
-               -e "s/APRON_PREFIX =.*/APRON_PREFIX = \${DESTDIR}\/usr/g" \
-               -e "s/MLGMPIDL_PREFIX =.*/MLGMPIDL_PREFIX = \${DESTDIR}\/usr/g"
+               -e "s/APRON_PREFIX =.*/APRON_PREFIX = \$(DESTDIR)\/usr/g" \
+               -e "s/MLGMPIDL_PREFIX =.*/MLGMPIDL_PREFIX = \$(DESTDIR)\/usr/g"
 
        #fix doc building process
        sed -i Makefile -e "s/; make html/; make/g"
@@ -76,7 +76,7 @@ src_compile() {
 }
 
 src_install(){
-       DESTDIR="${D}" emake install || die "emake install failed"
+       emake install DESTDIR="${D}" || die "emake install failed"
        dodoc AUTHORS Changes README
 
        if use doc; then

diff --git a/sci-mathematics/flocq/flocq-2.3.0.ebuild 
b/sci-mathematics/flocq/flocq-2.3.0.ebuild
index a26aad1..b821ae8 100644
--- a/sci-mathematics/flocq/flocq-2.3.0.ebuild
+++ b/sci-mathematics/flocq/flocq-2.3.0.ebuild
@@ -18,8 +18,8 @@ RDEPEND="${DEPEND}"
 
 src_prepare() {
        sed -i Remakefile.in \
-               -e "s:mkdir -p @libdir@:mkdir -p \$(DESTDIR)@libdir@:g" \
-               -e "s:cp \$f @libdir@:cp \$f \$(DESTDIR)@libdir@:g"
+               -e "s:mkdir -p @libdir@:mkdir -p \${DESTDIR}@libdir@:g" \
+               -e "s:cp \$f @libdir@:cp \$f \${DESTDIR}@libdir@:g"
 }
 
 src_configure() {

diff --git a/sci-mathematics/frama-c/frama-c-20140301.ebuild 
b/sci-mathematics/frama-c/frama-c-20140301.ebuild
index 02ad2c8..b904297 100644
--- a/sci-mathematics/frama-c/frama-c-20140301.ebuild
+++ b/sci-mathematics/frama-c/frama-c-20140301.ebuild
@@ -50,7 +50,7 @@ src_compile(){
        # dependencies can not be processed in parallel,
        # this is the intended behavior.
        emake -j1 depend || die "emake depend failed"
-       DESTDIR="/" emake all top || die "emake failed"
+       emake all top DESTDIR="/" || die "emake failed"
 
        if use doc; then
                emake -j1 doc doc-tgz
@@ -59,7 +59,7 @@ src_compile(){
 }
 
 src_install(){
-       DESTDIR="${D}" emake install || die "emake install failed"
+       emake install DESTDIR="${D}" || die "emake install failed"
        dodoc Changelog
 
        if use doc; then

diff --git a/sci-mathematics/giac/giac-1.1.0.ebuild 
b/sci-mathematics/giac/giac-1.1.0.ebuild
index d48ef04..4b2232c 100644
--- a/sci-mathematics/giac/giac-1.1.0.ebuild
+++ b/sci-mathematics/giac/giac-1.1.0.ebuild
@@ -33,7 +33,7 @@ src_prepare(){
 }
 
 src_install() {
-       DESTDIR="${D}" emake install || die "emake install failed"
+       emake install DESTDIR="${D}" || die "emake install failed"
        mv ${D}/usr/bin/{aide,giac-help}
        rm ${D}/usr/bin/*cas_help
        dodoc AUTHORS ChangeLog COPYING INSTALL NEWS README TROUBLES

diff --git a/sci-mathematics/why/why-2.34.ebuild 
b/sci-mathematics/why/why-2.34.ebuild
index 813aa20..99372cd 100644
--- a/sci-mathematics/why/why-2.34.ebuild
+++ b/sci-mathematics/why/why-2.34.ebuild
@@ -13,16 +13,17 @@ SRC_URI="http://why.lri.fr/download/${P}.tar.gz";
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE="apron coq doc examples gappa frama-c gtk pff why3"
+IUSE="apron coq doc examples float gappa frama-c gtk pff why3"
 
 DEPEND=">=dev-lang/ocaml-3.12.1
-               >=dev-ml/ocamlgraph-1.2
+               >=dev-ml/ocamlgraph-1.5
                gtk? ( >=dev-ml/lablgtk-2.14 )
                apron? ( sci-mathematics/apron )
                coq? ( sci-mathematics/coq )
                gappa? ( sci-mathematics/gappalib-coq )
                pff? ( sci-mathematics/pff )
                frama-c? ( >=sci-mathematics/frama-c-20140301 )
+               float? ( sci-mathematics/flocq )
                why3? ( sci-mathematics/why3 )"
 RDEPEND="${DEPEND}"
 
@@ -47,11 +48,11 @@ src_configure() {
 }
 
 src_compile(){
-       DESTDIR="/" emake -j1 || die "emake failed"
+       emake -j1 DESTDIR="/" || die "emake failed"
 }
 
 src_install(){
-       DESTDIR="${D}" emake install || die "emake install failed"
+       emake install DESTDIR="${D}" || die "emake install failed"
        dodoc CHANGES README Version
        doman doc/why.1
 

diff --git a/sci-mathematics/why3/why3-0.83.ebuild 
b/sci-mathematics/why3/why3-0.83.ebuild
index 30615b5..0f92282 100644
--- a/sci-mathematics/why3/why3-0.83.ebuild
+++ b/sci-mathematics/why3/why3-0.83.ebuild
@@ -13,18 +13,19 @@ 
SRC_URI="https://gforge.inria.fr/frs/download.php/33490/${P}.tar.gz";
 LICENSE="LGPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE="frama-c doc examples"
+IUSE="float frama-c doc examples"
 
 DEPEND=">=dev-lang/ocaml-3.12.1
                dev-ml/zarith
                sci-mathematics/coq
                frama-c? ( >=sci-mathematics/frama-c-20140301 )
+               float? ( sci-mathematics/flocq )
                doc? ( dev-tex/rubber )"
 RDEPEND="${DEPEND}"
 
 src_prepare() {
        mv doc/why.1 doc/why3.1
-    sed -i configure.in -e "s/\"pvs\"/\"sri-pvs\"/g"
+       sed -i configure.in -e "s/\"pvs\"/\"sri-pvs\"/g"
        sed -i configure -e "s/\"pvs\"/\"sri-pvs\"/g"
        sed -i Makefile.in -e "s:DESTDIR =::g" \
                -e "s:\$(RUBBER) --warn all --pdf manual.tex:makeindex 
manual.tex; \$(RUBBER) --warn all --pdf manual.tex; cd ..:g"
@@ -42,7 +43,7 @@ src_compile() {
 }
 
 src_install(){
-       DESTDIR="${D}" emake install || die "emake install failed"
+       emake install DESTDIR="${D}" || die "emake install failed"
        dodoc CHANGES README Version
        doman doc/why3.1
        if use doc; then

Reply via email to